Module javafx.controls
Package javafx.scene.control

# Class TableColumn.CellDataFeatures<S,T>

java.lang.Object
javafx.scene.control.TableColumn.CellDataFeatures<S,T>

Type Parameters:
  `S` - The TableView type
  `T` - The TableColumn type

Enclosing class:
  `TableColumn<S,T>`

public static class TableColumn.CellDataFeatures<S,T> extends Object
A support class used in TableColumn as a wrapper class to provide all necessary information for a particular `Cell`. Once instantiated, this class is immutable.

Since:
  JavaFX 2.0

## Constructor Summary

Constructors
Constructor
Description
`CellDataFeatures(TableView<S> tableView, TableColumn<S,T> tableColumn, S value)`
Instantiates a CellDataFeatures instance with the given properties set as read-only values of this instance.

## Method Summary

Modifier and Type
Method
Description
`TableColumn<S,T>`
`getTableColumn()`
Returns the `TableColumn` passed in to the constructor.
`TableView<S>`
`getTableView()`
Returns the `TableView` passed in to the constructor.
`S`
`getValue()`
Returns the value passed in to the constructor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CellDataFeatures

public CellDataFeatures(TableView<S> tableView, TableColumn<S,T> tableColumn, S value)
Instantiates a CellDataFeatures instance with the given properties set as read-only values of this instance.

Parameters:
  `tableView` - The TableView that this instance refers to.
  `tableColumn` - The TableColumn that this instance refers to.
  `value` - The value for a row in the TableView.

## Method Details

### getValue

public S getValue()
Returns the value passed in to the constructor.

Returns:
  the value passed in to the constructor

### getTableColumn

public TableColumn<S,T> getTableColumn()
Returns the `TableColumn` passed in to the constructor.

Returns:
  the TableColumn passed in to the constructor

### getTableView

public TableView<S> getTableView()
Returns the `TableView` passed in to the constructor.

Returns:
  the TableView passed in to the constructor